unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, frxClass, frxDBSet, DB, DBTables, frxDesgn, frxCross,
  frxExportRTF, frxExportHTML, ExtCtrls;

type
  TDemoForm = class(TForm)
    BiolifeTable: TTable;
    EventsTable: TTable;
    frxDBDataset1: TfrxDBDataset;
    frxDBDataset2: TfrxDBDataset;
    RichTableDBReport: TfrxReport;
    EventsReport: TfrxReport;
    frxDesigner: TfrxDesigner;
    BiolifeQuery: TQuery;
    dsBiolifeQuery: TfrxDBDataset;
    GroupBox1: TGroupBox;
    CustomDrawDemoLabel: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    CustomDrawDemo: TButton;
    CustomTextDemo: TButton;
    CustomDBTextDemo: TButton;
    CustomTextDemoReport: TfrxReport;
    CustomDBTextDemoReport: TfrxReport;
    GroupBox2: TGroupBox;
    CustomDrawDemoEx: TButton;
    CustomTextDemoEx: TButton;
    CustomDBTextExDemo: TButton;
    CustomDrawDemoExReport: TfrxReport;
    CustomTextDemoExReport: TfrxReport;
    CustomDBTexDemoExReport: TfrxReport;
    cbShowDesigner: TCheckBox;
    GroupBox3: TGroupBox;
    Label10: TLabel;
    Label11: TLabel;
    DragDemo: TButton;
    ResizeDemo: TButton;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    GroupBox4: TGroupBox;
    Label12: TLabel;
    Label13: TLabel;
    RichTableDemo: TButton;
    RichTableDemoReport: TfrxReport;
    CustomDrawDemoReport: TfrxReport;
    GroupBox5: TGroupBox;
    Button1: TButton;
    frxCrossObject1: TfrxCrossObject;
    RichTableRepeatModeReport: TfrxReport;
    frxHTMLExport1: TfrxHTMLExport;
    frxRTFExport1: TfrxRTFExport;
    Label15: TLabel;
    Label2: TLabel;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Label4: TLabel;
    BiolifeReport: TButton;
    EventsReportBtn: TButton;
    Label1: TLabel;
    CustomerTable: TTable;
    frxDBDataset3: TfrxDBDataset;
    procedure BiolifeReportClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CustomDBTextDemoClick(Sender: TObject);
    procedure CustomDBTextExDemoClick(Sender: TObject);
    procedure EventsReportBtnClick(Sender: TObject);
    procedure CustomDrawDemoClick(Sender: TObject);
    procedure CustomDrawDemoExClick(Sender: TObject);
    procedure CustomTextDemoClick(Sender: TObject);
    procedure CustomTextDemoExClick(Sender: TObject);
    procedure DragDemoClick(Sender: TObject);
    procedure ResizeDemoClick(Sender: TObject);
    procedure RichTableDemoClick(Sender: TObject);
  private
    procedure ShowReport(AReport: TfrxReport);
    function CreateReport(var Band: TfrxBand): TfrxReport;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DemoForm: TDemoForm;

implementation

uses Printers, frxTableView, frxTableViewReportReg, frxTableViewRes, DragObjectDemo;

{$R *.dfm}


{***************************************************************************** }
{                                                                              }
{ **************************************************************************** }

procedure TDemoForm.DragDemoClick(Sender: TObject);
var
  View: TDragObjectView;
  Band: TfrxBand;
begin
  with CreateReport(Band) do
  try
    {    Band }
    View := TDragObjectView.Create(Band);
    View.CreateUniqueName;
    View.SetBounds(200, 10, 400, 200);

    DesignReport;
  finally
    Free
  end;
end;

procedure TDemoForm.ResizeDemoClick(Sender: TObject);
var
  View: TfrxTableView;
  Band: TfrxBand;
begin
  with CreateReport(Band) do
  try
    {    Band }
    View := TfrxTableView.Create(Band);
    View.CreateUniqueName;
    View.SetBounds(200, 10, 400, 200);
    View.ColumnCount := 3;
    View.RowCount := 2;
    View.OuterBorders.Width := 2;

    DesignReport;
  finally
    Free
  end;
end;

function TDemoForm.CreateReport(var Band: TfrxBand): TfrxReport;
var
  Page: TfrxReportPage;
begin
  Result := TfrxReport.Create(Self);

  {   }
  Page := TfrxReportPage.Create(Result);
  {    }
  Page.CreateUniqueName;
  {   ,      }
  Page.SetDefaults;
  {    }
  Page.Orientation := poLandscape;

  {  report title }
  Band := TfrxReportTitle.Create(Page);
  Band.CreateUniqueName;
  {      Top   }
  {   -   }
  Band.Top := 0;
  Band.Height := 300;
end;

{***************************************************************************** }
{                                                                              }
{ **************************************************************************** }

procedure TDemoForm.ShowReport(AReport: TfrxReport);
begin
  if cbShowDesigner.Checked then
    AReport.DesignReport
  else
    AReport.ShowReport;
end;

procedure TDemoForm.CustomDrawDemoClick(Sender: TObject);
begin
  ShowReport(CustomDrawDemoReport);
end;

procedure TDemoForm.CustomTextDemoClick(Sender: TObject);
begin
  ShowReport(CustomTextDemoReport);
end;

procedure TDemoForm.CustomDBTextDemoClick(Sender: TObject);
begin
  ShowReport(CustomDBTextDemoReport);
end;

procedure TDemoForm.CustomDrawDemoExClick(Sender: TObject);
begin
  ShowReport(CustomDrawDemoExReport);
end;

procedure TDemoForm.CustomTextDemoExClick(Sender: TObject);
begin
  ShowReport(CustomTextDemoExReport);
end;

procedure TDemoForm.CustomDBTextExDemoClick(Sender: TObject);
begin
  ShowReport(CustomDBTexDemoExReport);
end;

procedure TDemoForm.RichTableDemoClick(Sender: TObject);
begin
  ShowReport(RichTableDemoReport);
end;

procedure TDemoForm.Button1Click(Sender: TObject);
begin
  ShowReport(RichTableRepeatModeReport);
end;

procedure TDemoForm.BiolifeReportClick(Sender: TObject);
begin
  ShowReport(RichTableDBReport);
end;

procedure TDemoForm.EventsReportBtnClick(Sender: TObject);
begin
  ShowReport(EventsReport);
end;

end.
